QT += core gui dbus sql

greaterThan(QT_MAJOR_VERSION, 4): QT += widgets

TARGET = deepin-offline-update-daemon
TEMPLATE = app
CONFIG += c++11 link_pkgconfig
PKGCONFIG += dtkwidget dframeworkdbus gsettings-qt polkit-qt5-1

INCLUDEPATH += \
    ../deepin-offline-update-tool/src/window/modules/common

# The following define makes your compiler emit warnings if you use
# any Qt feature that has been marked deprecated (the exact warnings
# depend on your compiler). Please consult the documentation of the
# deprecated API in order to know how to port your code away from it.
DEFINES += QT_DEPRECATED_WARNINGS

dbus.files += \
    com.deepin.offline.update.daemon.xml
dbus.header_flags += \

DBUS_ADAPTORS += dbus
DBUS_INTERFACES += dbus

SOURCES += \
    main.cpp \
    writedbusdata.cpp \
    offlinecheck/offlinecheck.cpp \
    ../deepin-offline-update-tool/src/window/modules/common/invokers/invokerfactory.cpp \
    ../deepin-offline-update-tool/src/window/modules/common/invokers/dbusinvoker.cpp \
    ../deepin-offline-update-tool/src/window/modules/common/invokers/deepindefendersettingsInvoker.cpp

RESOURCES +=

HEADERS += \
    writedbusdata.h \
    offlinecheck/offlinecheck.h \
    ../deepin-offline-update-tool/src/window/modules/common/invokers/dbusinvoker.h \
    ../deepin-offline-update-tool/src/window/modules/common/invokers/invokerfactory.h  \
    ../deepin-offline-update-tool/src/window/modules/common/invokers/invokerinterface.h \
    ../deepin-offline-update-tool/src/window/modules/common/invokers/deepindefendersettingsInvoker.h


DISTFILES += \
    com.deepin.offline.update.daemon.xml \
    com.deepin.offline.update.daemon.conf \

target.path=/usr/bin
system_dbus_conf.files += \
    $$PWD/com.deepin.offline.update.daemon.conf
system_dbus_conf.path = /usr/share/dbus-1/system.d

install_service.files += \
    $$PWD/com.deepin.offline.update.daemon.service
install_service.path = /usr/share/dbus-1/system-services

systemd_service.files = deepin-offline-update-daemon.service
systemd_service.path = /lib/systemd/system/

polkit.path = /usr/share/polkit-1/actions
polkit.files = $$PWD/com.deepin.offline.update.daemon.policy

INSTALLS += target system_dbus_conf install_service systemd_service polkit
