#include "common.h"

#include <DPinyin>

#include <QFontMetrics>
#include <QDebug>
#include <QDBusVariant>
#include <QRegularExpression>
#include <QSettings>
#include <QTextCodec>

// 汉字方法相关
const QRegularExpression OnlyNumRegular = QRegularExpression("^[0-9]+$");

// 检查并转换QDbusVariant为QVariant
QVariant Utils::checkAndTransQDbusVarIntoQVar(const QVariant &var)
{
    QDBusVariant qdbusVar = var.value<QDBusVariant>();
    QVariant retVar = qdbusVar.variant();
    if (!retVar.isNull()) {
        return retVar;
    }
    return var;
}
