/*
 * Copyright (C) 2023 ~ 2023 Deepin Technology Co., Ltd.
 *
 * Author:     caimengci <caimengci@uniontech.com>
 *
 * Maintainer: caimengci <caimengci@uniontech.com>
 *
 * This program is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program.  If not, see <http://www.gnu.org/licenses/>.
 */

#pragma once

#include <DStyledItemDelegate>

#include <QObject>
#include <QStyledItemDelegate>

// 表格显示列
#define TABLE_COLUMN_CHECKITEM 0
#define TABLE_COLUMN_CHECKRESULT 1
#define TABLE_COLUMN_CHECKVALUE 2

#define CHECK_RESULT_NO 0
#define CHECK_RESULT_NOPASS 1
#define CHECK_RESULT_PASS 2

DWIDGET_USE_NAMESPACE
class OfflineUpdateDelegate : public QStyledItemDelegate
{
    Q_OBJECT

public:
    explicit OfflineUpdateDelegate(QObject *parent = nullptr);
    ~OfflineUpdateDelegate() override {}

    virtual void paint(QPainter *painter,
                       const QStyleOptionViewItem &option,
                       const QModelIndex &index) const override;
};
