#include "writedbusdata.h"

#include <DLog>

#include <QCoreApplication>

DCORE_USE_NAMESPACE

int main(int argc, char *argv[])
{
    DLogManager::setlogFilePath("/var/log/deepin-offline-update-daemon.log");
    QCoreApplication a(argc, argv);
    a.setOrganizationName("deepin");
    a.setApplicationName("deepin-offline-update-daemon");

    DLogManager::registerConsoleAppender();
    DLogManager::registerFileAppender();

    WriteDBusData dbusData;
    return a.exec();
}
