/*
 * Copyright (C) 2023 ~ 2023 Deepin Technology Co., Ltd.
 *
 * Author:     caimengci <caimengci@uniontech.com>
 *
 * Maintainer: caimengci <caimengci@uniontech.com>
 *
 * This program is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program.  If not, see <http://www.gnu.org/licenses/>.
 */
#ifndef UPGRADEWIDGET_H
#define UPGRADEWIDGET_H

#include <QWidget>
#include <QColor>

class UpgradeWidget : public QWidget
{
    Q_OBJECT
public:
    // 例子：QColor::fromRgb(0, 15, 39, int(0.7 * 255)，透明度0-1
    explicit UpgradeWidget(QColor color, QWidget *parent = nullptr);

protected:
    void paintEvent(QPaintEvent *event);

private:
    QColor m_color;
};

#endif // UPGRADEWIDGET_H
